Distribution: 	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A tool for creating scanners (text pattern recognizers).
Name: 		flex
Version: 	2.5.33
Release: 	2
License: 	BSD
Group: 		Development/Tools
Source: 	ftp://ftp.gnu.org/non-gnu/flex/flex-%{version}.tar.bz2
Patch0: 	flex-2.5.31-skel.patch
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-root
PreReq:		/sbin/install-info
BuildRequires:	glibc-devel

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

%package devel
Summary: 	Files for development using flex
Group: 		Development/Tools
Requires:	flex = %{version}-%{release}

%description devel
Files for development using flex

%post
/sbin/install-info %_infodir/flex.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/flex.info.gz %_infodir/dir
fi


%prep
%setup -q 
%patch0 -p1

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

( cd ${RPM_BUILD_ROOT}
  strip .%{_bindir}/flex
  ln -sf flex .%{_bindir}/lex
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/flex.info-*
%{_infodir}/flex.info.gz
%{_prefix}/share/locale/*
%exclude %{_infodir}/dir

%files devel
%defattr(-,root,root)
%{_includedir}/FlexLexer.h
%{_libdir}/*.a

%changelog
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.5.33-2
- rebuilt with gcc 4.1.1
* Mon Jul 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5.33-1
- Version update
* Tue Jul 19 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.31-4
- Added necessary Patch for building tetex
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.31-3
- Added info file install, tweaked specfile
* Sat Jul 2 2005 Andreas Roth <aroth@arsoft-online.com> 2.5.31-2
- rebuild
